#
# Conditional build:
%bcond_without	spice	# SPICE support
%bcond_without	ovirt	# oVirt support
#
Summary:	Virtual Machine Viewer
Summary(pl.UTF-8):	Przeglądarka maszyny wirtualnej
Name:		virt-viewer
Version:	11.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	https://releases.pagure.org/virt-viewer/%{name}-%{version}.tar.xz
# Source0-md5:	06b80228aaf10e614aeb8ffa4814b03a
Patch0:		meson.patch
Patch1:		%{name}-rest1.patch
URL:		https://virt-manager.org/
BuildRequires:	bash-completion-devel >= 1:2.0
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	glib2-devel >= 1:2.48
BuildRequires:	gtk+3-devel >= 3.18
BuildRequires:	gtk3-vnc-devel >= 0.4.3
BuildRequires:	icoutils
%{?with_ovirt:BuildRequires:	libgovirt-devel >= 0.3.9}
BuildRequires:	libvirt-devel >= 1.2.8
BuildRequires:	libvirt-glib-devel >= 0.1.8
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
%{?with_ovirt:BuildRequires:	rest1-devel >= 0.9.1-2}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	sed >= 4.0
%{?with_spice:BuildRequires:	spice-gtk-devel >= 0.41}
BuildRequires:	spice-protocol >= 0.12.7
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.46.0
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	glib2 >= 1:2.48
Requires:	gtk+3 >= 3.18
Requires:	gtk3-vnc >= 0.4.3
Requires:	hicolor-icon-theme
%{?with_ovirt:Requires:	libgovirt >= 0.3.9}
Requires:	libvirt >= 1.2.8
Requires:	libvirt-glib >= 0.1.8
Requires:	libxml2 >= 1:2.6.0
%{?with_ovirt:Requires:	rest1 >= 0.9.1-2}
%{?with_spice:Requires:	spice-gtk >= 0.41}
Requires:	vte >= 0.46.0
Suggests:	gnome-keyring >= 0.4.9
Suggests:	openssh-clients
# let it obsolete withdrawn spice client from spice-space package
%{?with_spice:Obsoletes:	spice-client < 0.12.6}
Obsoletes:	virt-viewer-plugin < 0.5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virtual Machine Viewer provides a graphical console client for
connecting to virtual machines. It uses the GTK-VNC or SPICE-GTK
widgets to provide the display, and libvirt for looking up VNC/SPICE
server details.

%description -l pl.UTF-8
Virtual Machine Viewer udostępnia klienta graficznej konsoli do
łączenia z maszynami wirtualnymi. Wykorzystuje widgety GTK-VNC lub
SPICE-GTK do zapewnienia obrazu oraz libvirt do odczytu szczegółów
serwera VNC/SPICE.

%package -n bash-completion-virt-viewer
Summary:	bash-completion for virt-viewer command
Summary(pl.UTF-8):	bashowe uzupełnianie parametrów polecenia virt-viewer
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-virt-viewer
Bash-completion for virt-viewer command.

%description -n bash-completion-virt-viewer -l pl.UTF-8
Bashowe uzupełnianie parametrów polecenia virt-viewer.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%meson build \
	%{!?with_ovirt:-Dovirt=disabled} \
	%{?with_ovirt:-Dovirt=enabled} \
	%{!?with_spice:-Dspice=disabled} \
	%{?with_spice:-Dspice=enabled}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/virt-viewer
%attr(755,root,root) %{_bindir}/remote-viewer
%{_datadir}/metainfo/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_desktopdir}/remote-viewer.desktop
%{_iconsdir}/hicolor/*/apps/virt-viewer.png
%{_iconsdir}/hicolor/scalable/apps/virt-viewer.svg
%{_mandir}/man1/virt-viewer.1*
%{_mandir}/man1/remote-viewer.1*

%files -n bash-completion-virt-viewer
%defattr(644,root,root,755)
%{bash_compdir}/virt-viewer
%changelog
* Tue Jun 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/virt-viewer.git;a=log;h=master

* Tue Jun 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 4df3c18
- added rest1 patch (switch to rest-1.0 library), force libsoup3-dependent libgovirt/spice-gtk/rest1 versions; release 2

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> 22ff1af
- update desktop database

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> f40b2de
- correct bash-completion epoch

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> a435af2
- BRs for tar.xz source

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> 9a347db
- rpm version for noarch subpackage

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> 0028a91
- upstream fix for build failure with recent meson versions

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> bf2f6e6
- drop EA: (can't see anything arch exclusive)

* Mon Feb 21 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5b11b8a
- up to 11.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 0d17736
- unconditional noarch subpackages

* Wed Jan 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 60cb681
- up to 9.0

* Fri Mar 01 2019 Jan Palus <atler@pld-linux.org> 3a78754
- up to 8.0

* Sat Jul 28 2018 Jan Palus <atler@pld-linux.org> cff8786
- up to 7.0

* Tue Jun 12 2018 Jan Palus <atler@pld-linux.org> 7112ba6
- up to 6.0

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 57ad97e
- release 2 (by relup.sh)

* Fri Oct 09 2015 Jakub Bogusz <qboosh@pld-linux.org> f97258d
- let it obsolete withdrawn spice-client from spice-space package

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> ca82e49
- updated to 2.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3322118
- updated gettext BR

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> e40546e
- updated to 1.0

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> e828081
- updated to 0.6.0

* Sat Aug 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e637848
- updated to 0.5.7

